"use strict";

(function ($) {
  /**
   * In viewport helper
   * @return {Boolean}
   */
  $.fn.inView = function (buffer) {
    buffer = typeof buffer !== 'undefined' ? buffer : 100;
    var win = $(window);
    var viewport = {
      top: win.scrollTop(),
      left: win.scrollLeft()
    };
    viewport.right = viewport.left + win.width() - buffer;
    viewport.bottom = viewport.top + win.height() - buffer;
    var bounds = this.offset();
    bounds.right = bounds.left + this.outerWidth();
    bounds.bottom = bounds.top + this.outerHeight();
    return !(viewport.right < bounds.left || viewport.left > bounds.right || viewport.bottom < bounds.top || viewport.top > bounds.bottom);
  };
  /**
   *  Parallax fxn for elements
   */


  $.fn.parallax = function (momentum, axis) {
    momentum = typeof momentum !== 'undefined' ? momentum : '0.5';
    axis = typeof axis !== 'undefined' ? axis : 'y';
    var scrollTop = $(window).scrollTop();
    var offset = this.parent().offset();
    var moveValue = 0 - Math.round((offset.top - scrollTop) * momentum);

    if (axis === 'x') {
      this.velocity({
        translateX: moveValue + 'px'
      }, {
        queue: false,
        duration: 0
      });
    } else {
      this.velocity({
        translateY: moveValue + 'px'
      }, {
        queue: false,
        duration: 0
      });
    }
  };

  var PAEMoveParallaxLayers = function PAEMoveParallaxLayers() {
    $('.parallax-layer').each(function () {
      if ($(this).inView(0)) {
        var momentum = $(this).data('parallax-momentum');
        var axis = $(this).data('parallax-axis');
        $(this).parallax(momentum, axis);
      }
    });
  };

  var PAEInitParallaxLayers = function PAEInitParallaxLayers() {
    PAEMoveParallaxLayers();
    $('.parallax-layer').velocity({
      opacity: 1
    }, {
      duration: 300
    });
    $(window).on('scroll', function () {
      PAEMoveParallaxLayers();
    });
  }; // Make sure you run this code under Elementor.


  $(window).on('elementor/frontend/init', function () {
    // Initialize parallax.
    PAEInitParallaxLayers();
  });
})(jQuery);
//# sourceMappingURL=prime-addons-elementor.js.map
