"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var PAECarousel = function PAECarousel($wrapper) {
  var swiperLoader = function swiperLoader(swiperElement, swiperConfig) {
    if ('undefined' === typeof Swiper) {
      var asyncSwiper = elementorFrontend.utils.swiper;
      return new asyncSwiper(swiperElement, swiperConfig).then(function (newSwiperInstance) {
        return newSwiperInstance;
      });
    } else {
      return swiperPromise(swiperElement, swiperConfig);
    }
  };

  var swiperPromise = function swiperPromise(swiperElement, swiperConfig) {
    return new Promise(function (resolve, reject) {
      var swiperInstance = new Swiper(swiperElement, swiperConfig);
      resolve(swiperInstance);
    });
  };

  var autoplay = $wrapper.data('autoplay');
  var columns = $wrapper.data('columns');
  var gap = $wrapper.data('gap');
  var responsive_gap = gap - 10;
  var columns_md;

  if (columns > 1) {
    columns_md = 2;
  } else {
    columns_md = 1;
  }

  var swiperConfig = {
    slidesPerView: columns,
    spaceBetween: parseInt(gap),
    lazy: true,
    autoplayDisableOnInteraction: true,
    navigation: {
      nextEl: '.swiper-button-next',
      prevEl: '.swiper-button-prev'
    },
    pagination: {
      el: '.swiper-pagination',
      type: 'bullets',
      clickable: true
    },
    breakpoints: {
      1920: {
        slidesPerView: columns
      },
      1024: {
        slidesPerView: columns,
        spaceBetween: responsive_gap
      },
      768: {
        slidesPerView: columns_md,
        spaceBetween: responsive_gap
      },
      640: {
        slidesPerView: 1,
        spaceBetween: 0
      },
      320: {
        slidesPerView: 1,
        spaceBetween: 0
      }
    }
  };

  if ('yes' === autoplay) {
    swiperConfig.autoplay = {
      delay: 3000
    };
  }

  $wrapper.imagesLoaded(function () {
    $wrapper.fadeIn();
    swiperLoader($wrapper, swiperConfig);
  });
};

var CarouselWidgetHandlerClass = /*#__PURE__*/function (_elementorModules$fro) {
  _inherits(CarouselWidgetHandlerClass, _elementorModules$fro);

  var _super = _createSuper(CarouselWidgetHandlerClass);

  function CarouselWidgetHandlerClass() {
    _classCallCheck(this, CarouselWidgetHandlerClass);

    return _super.apply(this, arguments);
  }

  _createClass(CarouselWidgetHandlerClass, [{
    key: "getDefaultSettings",
    value: function getDefaultSettings() {
      return {
        selectors: {
          mainWrapper: '.pae-carousel'
        }
      };
    }
  }, {
    key: "getDefaultElements",
    value: function getDefaultElements() {
      var selectors = this.getSettings('selectors');
      return {
        $mainWrapper: this.$element.find(selectors.mainWrapper)
      };
    }
  }, {
    key: "bindEvents",
    value: function bindEvents() {
      PAECarousel(this.elements.$mainWrapper);
    }
  }]);

  return CarouselWidgetHandlerClass;
}(elementorModules.frontend.handlers.Base);

jQuery(window).on('elementor/frontend/init', function () {
  var addCarouselWidgetHandler = function addCarouselWidgetHandler($element) {
    elementorFrontend.elementsHandler.addHandler(CarouselWidgetHandlerClass, {
      $element: $element
    });
  };

  elementorFrontend.hooks.addAction('frontend/element_ready/pae-post-carousel.default', addCarouselWidgetHandler);
  elementorFrontend.hooks.addAction('frontend/element_ready/pae-woo-product-carousel.default', addCarouselWidgetHandler);
  elementorFrontend.hooks.addAction('frontend/element_ready/pae-lp-course-carousel.default', addCarouselWidgetHandler);
  elementorFrontend.hooks.addAction('frontend/element_ready/pae-edd-product-carousel.default', addCarouselWidgetHandler);
  elementorFrontend.hooks.addAction('frontend/element_ready/pae-testimonial-carousel.default', addCarouselWidgetHandler);
  elementorFrontend.hooks.addAction('frontend/element_ready/pae-picture-carousel.default', addCarouselWidgetHandler);
});
//# sourceMappingURL=carousel.js.map
