"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var CountdownWidgetHandlerClass = /*#__PURE__*/function (_elementorModules$fro) {
  _inherits(CountdownWidgetHandlerClass, _elementorModules$fro);

  var _super = _createSuper(CountdownWidgetHandlerClass);

  function CountdownWidgetHandlerClass() {
    _classCallCheck(this, CountdownWidgetHandlerClass);

    return _super.apply(this, arguments);
  }

  _createClass(CountdownWidgetHandlerClass, [{
    key: "getDefaultSettings",
    value: function getDefaultSettings() {
      return {
        selectors: {
          mainWrapper: '.pae-countdown',
          countdownContent: '.countdown-content'
        }
      };
    }
  }, {
    key: "getDefaultElements",
    value: function getDefaultElements() {
      var selectors = this.getSettings('selectors');
      return {
        $mainWrapper: this.$element.find(selectors.mainWrapper),
        $countdownContent: this.$element.find(selectors.countdownContent)
      };
    }
  }, {
    key: "bindEvents",
    value: function bindEvents() {
      var filter = this.elements.$mainWrapper.data('filter');
      var expiredNotice = this.elements.$mainWrapper.data('expired-notice');
      var $target = this.elements.$countdownContent;
      $target.countdown(filter).on('update.countdown', function (event) {
        var format = '%H:%M:%S';

        if (event.offset.totalDays > 0) {
          format = '%-d day%!d ' + format;
        }

        if (event.offset.weeks > 0) {
          format = '%-w week%!w ' + format;
        }

        $target.html(event.strftime(format));
      }).on('finish.countdown', function (event) {
        $target.html(expiredNotice).parent().addClass('disabled');
      });
    }
  }]);

  return CountdownWidgetHandlerClass;
}(elementorModules.frontend.handlers.Base);

jQuery(window).on('elementor/frontend/init', function () {
  var addCountdownWidgetHandler = function addCountdownWidgetHandler($element) {
    elementorFrontend.elementsHandler.addHandler(CountdownWidgetHandlerClass, {
      $element: $element
    });
  };

  elementorFrontend.hooks.addAction('frontend/element_ready/pae-countdown.default', addCountdownWidgetHandler);
});
//# sourceMappingURL=countdown.js.map
