"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); Object.defineProperty(subClass, "prototype", { writable: false }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf.bind() : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

(function ($) {
  var GridWidgetHandlerClass = /*#__PURE__*/function (_elementorModules$fro) {
    _inherits(GridWidgetHandlerClass, _elementorModules$fro);

    var _super = _createSuper(GridWidgetHandlerClass);

    function GridWidgetHandlerClass() {
      _classCallCheck(this, GridWidgetHandlerClass);

      return _super.apply(this, arguments);
    }

    _createClass(GridWidgetHandlerClass, [{
      key: "getDefaultSettings",
      value: function getDefaultSettings() {
        return {
          selectors: {
            mainWrapper: '.pae-grids'
          }
        };
      }
    }, {
      key: "getDefaultElements",
      value: function getDefaultElements() {
        var selectors = this.getSettings('selectors');
        return {
          $mainWrapper: this.$element.find(selectors.mainWrapper)
        };
      }
    }, {
      key: "bindEvents",
      value: function bindEvents() {
        var $grid = this.elements.$mainWrapper;
        var isInfinite = $grid.data('infinite');

        var grid_depended_scripts = function grid_depended_scripts() {
          // Reset thumbnail height for grid layout.
          if ($grid.hasClass('pae-grid-container')) {
            $grid.find('.pae-grid-thumbnail a.grid-thumbnail').css('height', $grid.data('thumbnail-height'));
          }
        };

        if ($grid.hasClass('pae-masonry-container')) {
          // Init Isotope.
          $grid = this.elements.$mainWrapper.isotope({
            itemSelector: '.pae-grid-item',
            percentPosition: true,
            layoutMode: 'masonry'
          }); // layout Isotope after each image loads

          $grid.imagesLoaded().progress(function () {
            $grid.isotope('layout');
          });
        }

        if ('yes' === isInfinite) {
          $grid.infiniteScroll({
            path: '.next',
            history: false,
            append: false,
            hideNav: '.pae-pagenavi',
            status: '.page-load-status',
            debug: true
          });
          $grid.on('load.infiniteScroll', function (event, response) {
            // get posts from response
            var $new_items = $(response).find('.pae-grid-item'); // Append Items to Masonry Layout

            if ($(this).hasClass('pae-masonry-container')) {
              // append posts after images loaded
              $grid.infiniteScroll('appendItems', $new_items).isotope('appended', $new_items);
              $grid.imagesLoaded().progress(function () {
                $grid.isotope('layout');
              });
            } // Append Items to Grid Layout


            if ($grid.hasClass('pae-grid-container')) {
              $grid.infiniteScroll('appendItems', $new_items);
            } // Excute scripts after new item appended


            grid_depended_scripts();
          });
        }

        grid_depended_scripts();
      }
    }]);

    return GridWidgetHandlerClass;
  }(elementorModules.frontend.handlers.Base);

  jQuery(window).on('elementor/frontend/init', function () {
    var addGridWidgetHandler = function addGridWidgetHandler($element) {
      elementorFrontend.elementsHandler.addHandler(GridWidgetHandlerClass, {
        $element: $element
      });
    };

    elementorFrontend.hooks.addAction('frontend/element_ready/pae-woo-products.default', addGridWidgetHandler);
    elementorFrontend.hooks.addAction('frontend/element_ready/pae-edd-products.default', addGridWidgetHandler);
    elementorFrontend.hooks.addAction('frontend/element_ready/pae-lp-courses.default', addGridWidgetHandler);
    elementorFrontend.hooks.addAction('frontend/element_ready/pae-blog-masonry.default', addGridWidgetHandler);
  });
})(jQuery);
//# sourceMappingURL=grid.js.map
