<?php

/**
 * Opacity controls
 */

function pae_add_opacity_control_to_widget( $element, $section_id, $args ) {

	if ( 'common' === $element->get_name() && '_section_style' === $section_id ) {

		$element->start_controls_section(
			'_section_opacity',
			array(
				'label' => esc_html__( 'Opacity', 'prime-addons-for-elementor' ),
				'tab'   => \Elementor\Controls_Manager::TAB_ADVANCED,
			)
		);

		$element->add_control(
			'element_opacity',
			array(
				'label'       => esc_html__( 'Opacity', 'prime-addons-for-elementor' ),
				'type'        => \Elementor\Controls_Manager::SLIDER,
				'description' => esc_html__( 'Value should be between 0 and 1', 'prime-addons-for-elementor' ),
				'default'     => array(
					'size' => 1,
				),
				'range'       => array(
					'px' => array(
						'min'  => 0,
						'max'  => 1,
						'step' => 0.01,
					),
				),
				'selectors'   => array(
					'{{WRAPPER}}' => 'opacity: {{SIZE}};',
				),
			)
		);

		$element->end_controls_section();

	}

}
add_action( 'elementor/element/after_section_end', 'pae_add_opacity_control_to_widget', 10, 3 );
